be.ehealth.businessconnector.mycarenet.agreementv2.session.impl

## Class AgreementServiceImpl

- java.lang.Object
- - be.ehealth.businessconnector.mycarenet.agreementv2.session.impl.AgreementServiceImpl

- All Implemented Interfaces:
    AgreementService

      public class AgreementServiceImpl
      extends Object
      implements AgreementService

  A simplified interface to access the Agreement service Implements : `AgreementService`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgreementServiceImpl(SessionValidator sessionValidator)` Instantiates a new Agreement service impl.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AskAgreementResponse` | `askAgreement(AskAgreementRequest request)` Sends the request to the WS (needs a Session to be active, token is retrieved from the session)
    `ConsultAgreementResponse` | `consultAgreement(ConsultAgreementRequest request)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AgreementServiceImpl

          public AgreementServiceImpl(SessionValidator sessionValidator)
                               throws TechnicalConnectorException

      Instantiates a new Agreement service impl.
      Parameters:
        `sessionValidator` - the sessionValidator
      Throws:
        `TechnicalConnectorException` - the technical connector exception

  - ### Method Detail

    - #### askAgreement

          public AskAgreementResponse askAgreement(AskAgreementRequest request)
                                            throws TechnicalConnectorException

      Description copied from interface: `AgreementService`
      Sends the request to the WS (needs a Session to be active, token is retrieved from the session)
      Specified by:
        `askAgreement` in interface `AgreementService`
      Parameters:
        `request` - the request
      Returns:
        the WS response
      Throws:
        `TechnicalConnectorException` - the technical connector exception

    - #### consultAgreement

          public ConsultAgreementResponse consultAgreement(ConsultAgreementRequest request)
                                                    throws TechnicalConnectorException

      Specified by:
        `consultAgreement` in interface `AgreementService`
      Throws:
        `TechnicalConnectorException`

Connector Packaging PERSLOGOPEDIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.